#!/bin/sh

gsdl3home=$1

if [ "$gsdl3home" == "" ]; then
    echo "Usage: $0 <gsdl3home>"
    exit 1
fi

cd $gsdl3home

./gs3-mysql-server.sh start
sleep 2

pushd $gsdl3home/packages/mysql

# set up any sample collections databases
#gs3mgdemo
echo "loading in the gs3mgdemo database"
./bin/mysql --user=root --execute="create database localsite_gs3mgdemo;"
./bin/mysql --user=root localsite_gs3mgdemo < $gsdl3home/web/sites/localsite/collect/gs3mgdemo/mysqldatadump.sql

popd
./gs3-mysql-server.sh stop
